### Method

# Gck Session find_objects

#### Declaration [src]

    GList*
    gck_session_find_objects (
      GckSession* self,
      GckAttributes* match,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Find the objects matching the passed attributes. This call may block for an indefinite period.

If `match` is a floating reference, it is consumed.

#### Parameters

`match` | `GckAttributes`
| The attributes to match.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | A list of `GckObject*`
| A list of the matching objects, which may be empty.
| The caller of the method takes ownership of the data, and is responsible for freeing it.